> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.box/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Voice 获取自建音色记录

> 查询 Suno Voice 自建音色生成结果，并获取生成的 voiceId。

### 使用指南

* 使用自建音色生成接口返回的 `taskId` 查询。
* 当 `status` 为 `success` 时，响应中会包含生成的 `voiceId`。
* 如果任务失败，请根据 `errorCode` 和 `errorMessage` 判断是否需要重新验证或重新生成。

### 状态说明

| 状态                         | 含义                    |
| -------------------------- | --------------------- |
| `wait_processing`          | 任务等待处理中               |
| `processing_validate`      | 正在处理验证                |
| `processing_validate_fail` | 验证失败                  |
| `wait_validating`          | 等待验证完成                |
| `success`                  | 音色已准备完成，可使用 `voiceId` |
| `fail`                     | 任务失败                  |

### 相关接口

<Card title="检查音色是否可用" icon="lucide-badge-check" href="/cn/suno-api/suno-voice-check-voice">
  确认生成的自建音色是否可用于支持的 Suno 生成接口
</Card>


## OpenAPI

````yaml /cn/suno-api/suno-voice-api-cn.json GET /api/v1/voice/record-info
openapi: 3.0.1
info:
  title: Suno Voice API
  description: Suno Voice 自建音色 API 文档
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@api.box
servers: []
security:
  - BearerAuth: []
tags:
  - name: docs
  - name: docs/zh-CN
  - name: docs/zh-CN/Market
  - name: docs/zh-CN/Market/Suno API
  - name: docs/zh-CN/Market/Suno API/voice
  - name: suno接口/voice
paths:
  /api/v1/voice/record-info:
    get:
      tags:
        - docs/zh-CN/Market/Suno API/voice
        - suno接口/voice
      summary: Suno Voice获取自建音色记录
      description: >
        查询 Suno Voice 自建音色生成结果。


        使用音色生成接口返回的 `taskId` 调用此接口。当任务成功后，响应中会包含 `voiceId`，该值可作为自建音色 ID
        用于支持该能力的生成接口。


        ## 状态处理


        根据 `status` 字段判断下一步操作：


        - `wait_processing`、`processing_validate` 或 `wait_validating`：任务仍在处理中

        - `success`：音色已准备完成，可以使用 `voiceId` 进行后续生成

        - `processing_validate_fail` 或 `fail`：任务失败，请查看 `errorMessage` 获取失败原因


        ## 音色可用性


        获取 `voiceId` 后，可以使用音色可用性检查接口确认该音色是否可以使用：


        <Card
          title="检查音色是否可用"
          icon="lucide-badge-check"
          href="/cn/suno-api/suno-voice-check-voice"
        >
          检查该任务生成的自建音色是否可用
        </Card>


        相关资源


        <CardGroup cols={2}>
          <Card title="生成音色" icon="lucide-mic" href="/cn/suno-api/suno-voice-generate"> 提交验证音频并创建自建音色 </Card>
          <Card title="通用 API" icon="lucide-cog" href="/cn/suno-api/get-remaining-credits"> 查看账户积分和使用情况 </Card>
        </CardGroup>
      operationId: suno-voice-record-info
      parameters:
        - name: taskId
          in: query
          description: 任务id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      taskId:
                        type: string
                        description: 任务 ID。
                      voiceId:
                        type: string
                        description: 生成的自建音色 ID。任务成功后可用于支持自建音色的生成接口。
                      status:
                        type: string
                        description: 任务状态
                        enum:
                          - wait_processing
                          - processing_validate
                          - processing_validate_fail
                          - wait_validating
                          - success
                          - fail
                      errorCode:
                        type: integer
                        description: 错误码，任务失败时返回。
                      errorMessage:
                        type: string
                        description: 错误信息，任务失败时返回。
                    required:
                      - taskId
                      - voiceId
                      - status
                      - errorCode
                      - errorMessage
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  taskId: xxx_task_id_xxx
                  voiceId: xxx
                  status: >-
                    wait_processing,processing_validate:等待验证码,processing_validate_fail:获取验证码失败,wait_validating:等待验证，success,fail
                  errorCode: 500
                  errorMessage: xxxxx
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |-
        # API 认证说明

        所有接口都需要通过 Bearer Token 方式进行认证。

        ## 获取 API Key

        1. 访问 [API Key 管理页面](https://api.box/api-key) 获取您的 API Key

        ## 使用方式

        在请求头中添加：

        ```
        Authorization: Bearer YOUR_API_KEY
        ```

        > **注意：**
        > - 请妥善保管您的 API Key，不要泄露给他人
        > - 如果怀疑 API Key 泄露，请立即在管理页面重置

````